Schlagwort-Archiv: PHP 5.3

Debian eingefroren: Bald kommt Squeeze für den LAMP-Server

Das Debian-Projekt hat den „Freeze“ für das Update auf die kommende stabile Version 6.0 a.k.a Squeeze verkündet. Ab jetzt ist also mein favorisiertes Webserver-Betriebssystem auf dem aktuellen Software-Stand eingefroren, d.h. es kommen keine Neuerungen mehr hinzu, bis zum Erscheinen werden nur noch Fehler gefixt. Für einen typischen LAMP (Linux/Apache/MySQL/PHP)-Stack bringt Squeeze wichtige Updates auf PHP 5.3.2 und auf MySQL 5.1.48. Der Apache-Webserver selbst ist dann in Version 2.2.16 enthalten.

Weiterlesen

Weißer Bildschirm, fatale Fehler: Upgrade auf PHP 5.3 will vorbereitet sein

Ende Juni wurde PHP 5.3 veröffentlicht. Heute bin ich auf meinem Entwicklungs-System unfreiwillig zum Opfer der neuen Version geworden. Unfreiwillig deshalb, weil ich mal schnell ein vorgefertigtes Server-Paket namens MAMP auf einem Mac installliert habe, ohne weiter zu schauen, was da im einzelnen installiert wird. Aber es war eine heilsame Erfahrung. Ich bekam nämlich einen Heiden-Schreck – samt weißem Bildschirm und einer fatalen Fehlermeldung im PHP-Log:

PHP Fatal error:  Non-static method foo::bar() cannot be called statically, assuming $this from incompatible context in /Pfad/zur/class.php on line 285

Weiterlesen